Đến nội dung


Hình ảnh
- - - - -

nhờ chỉnh giúp lisp


  • Please log in to reply
1 reply to this topic

#1 phongtran86

phongtran86

    biết lệnh offset

  • Members
  • PipPipPip
  • 177 Bài viết
Điểm đánh giá: 22 (tàm tạm)

Đã gửi 31 May 2013 - 04:46 PM

Đang tập tành viết lisp. Viết lisp bo rồi offset vào trong 110.

(DEFUN C:bn(/ p1 el)
  (setvar "cmdecho" 0)
  (COMMAND ".-boundary"  (SETQ P1 (GETPOINT "\nPICK DIEM :")) "")
   (setq el (entlast))
(COMMAND "OFFSET" 110 el "_non" p1 "e")
(command "erase" el "")
(princ)
)

 Mình đang muốn cho nó vào vòng lặp while đoạn :

(COMMAND ".-boundary"  (SETQ P1 (GETPOINT "\nPICK DIEM :")) "")
   (setq el (entlast))
(COMMAND "OFFSET" 110 el "_non" p1 "e")
(command "erase" el "")

Mà nó không chạy nữa. Mình muốn pick vào vùng kín nó offset 110, lại pick sang ô tiếp theo lại 110. Nếu không pick mà nhấn enter thì kết thúc lệnh. Các bác chỉ em với


  • 0

#2 phongtran86

phongtran86

    biết lệnh offset

  • Members
  • PipPipPip
  • 177 Bài viết
Điểm đánh giá: 22 (tàm tạm)

Đã gửi 31 May 2013 - 10:13 PM

Đã xong :) Close topic.


  • 0